
package de.ivu.elect.exchange.entschaedigung.csv;

import java.math.BigDecimal;

import org.jsefa.csv.annotation.CsvDataType;
import org.jsefa.csv.annotation.CsvField;

import de.ivu.elect.business.entschaedigung.entity.EntschaedigungsartBerechnungsart;
import de.ivu.elect.exchange.BaseDTO;
import de.ivu.jsefa.CsvHeader;

@CsvDataType
public class DefaultEntschaedigungsartCsvDTO extends BaseDTO {

  @CsvField(pos = 1)
  @CsvHeader("Art der Person")
  private String kriteriumPersonendatenArt;

  @CsvField(pos = 2)
  @CsvHeader("Template")
  private String template;

  @CsvField(pos = 3)
  @CsvHeader("Bezeichnung")
  private String bezeichnung;

  @CsvField(pos = 4)
  @CsvHeader("Beschreibung")
  private String beschreibung;

  @CsvField(pos = 5)
  @CsvHeader("Anzahl minimal")
  private Long anzahlMinimal;

  @CsvField(pos = 6)
  @CsvHeader("Anzahl maximal")
  private Long anzahlMaximal;

  @CsvField(pos = 7)
  @CsvHeader("Anzahl initial")
  private Long anzahlInitial;

  @CsvField(pos = 8)
  @CsvHeader("Berechnungsart")
  private EntschaedigungsartBerechnungsart berechnungsart;

  @CsvField(pos = 9)
  @CsvHeader("Einzelbetrag minimal")
  private BigDecimal einzelbetragMinimal;

  @CsvField(pos = 10)
  @CsvHeader("Einzelbetrag maximal")
  private BigDecimal einzelbetragMaximal;

  @CsvField(pos = 11)
  @CsvHeader("Einzelbetrag initial")
  private BigDecimal einzelbetragInitial;

  @CsvField(pos = 12)
  @CsvHeader("Währung")
  private String waehrungAlsIsoCode;

  @CsvField(pos = 13)
  @CsvHeader("Einsatzfunktion")
  private String kriteriumEinsatzfunktion;

  @CsvField(pos = 14)
  @CsvHeader("Einsatzort")
  private String kriteriumEinsatzort;

  public DefaultEntschaedigungsartCsvDTO() {
    super();
  }

  public String getKriteriumPersonendatenArt() {
    return kriteriumPersonendatenArt;
  }

  public void setKriteriumPersonendatenArt(String kriteriumPersonendatenArt) {
    this.kriteriumPersonendatenArt = kriteriumPersonendatenArt;
  }

  public String getTemplate() {
    return template;
  }

  public void setTemplate(String template) {
    this.template = template;
  }

  public String getBezeichnung() {
    return bezeichnung;
  }

  public void setBezeichnung(String bezeichnung) {
    this.bezeichnung = bezeichnung;
  }

  public String getBeschreibung() {
    return beschreibung;
  }

  public void setBeschreibung(String beschreibung) {
    this.beschreibung = beschreibung;
  }

  public Long getAnzahlMinimal() {
    return anzahlMinimal;
  }

  public void setAnzahlMinimal(Long anzahlMinimal) {
    this.anzahlMinimal = anzahlMinimal;
  }

  public Long getAnzahlMaximal() {
    return anzahlMaximal;
  }

  public void setAnzahlMaximal(Long anzahlMaximal) {
    this.anzahlMaximal = anzahlMaximal;
  }

  public Long getAnzahlInitial() {
    return anzahlInitial;
  }

  public void setAnzahlInitial(Long anzahlInitial) {
    this.anzahlInitial = anzahlInitial;
  }

  public EntschaedigungsartBerechnungsart getBerechnungsart() {
    return berechnungsart;
  }

  public void setBerechnungsart(EntschaedigungsartBerechnungsart berechnungsart) {
    this.berechnungsart = berechnungsart;
  }

  public BigDecimal getEinzelbetragMinimal() {
    return einzelbetragMinimal;
  }

  public void setEinzelbetragMinimal(BigDecimal einzelbetragMinimal) {
    this.einzelbetragMinimal = einzelbetragMinimal;
  }

  public BigDecimal getEinzelbetragMaximal() {
    return einzelbetragMaximal;
  }

  public void setEinzelbetragMaximal(BigDecimal einzelbetragMaximal) {
    this.einzelbetragMaximal = einzelbetragMaximal;
  }

  public BigDecimal getEinzelbetragInitial() {
    return einzelbetragInitial;
  }

  public void setEinzelbetragInitial(BigDecimal einzelbetragInitial) {
    this.einzelbetragInitial = einzelbetragInitial;
  }

  public String getWaehrungAlsIsoCode() {
    return waehrungAlsIsoCode;
  }

  public void setWaehrungAlsIsoCode(String waehrungAlsIsoCode) {
    this.waehrungAlsIsoCode = waehrungAlsIsoCode;
  }

  public String getKriteriumEinsatzfunktion() {
    return kriteriumEinsatzfunktion;
  }

  public void setKriteriumEinsatzfunktion(String kriteriumEinsatzfunktion) {
    this.kriteriumEinsatzfunktion = kriteriumEinsatzfunktion;
  }

  public String getKriteriumEinsatzort() {
    return kriteriumEinsatzort;
  }

  public void setKriteriumEinsatzort(String kriteriumEinsatzort) {
    this.kriteriumEinsatzort = kriteriumEinsatzort;
  }
}
